# THIS PACKAGE IS HOSTED AT MANDRIVA SVN
# PLEASE DO NOT UPLOAD DIRECTLY BEFORE COMMIT

%define	Summary	The standard terminal emulator for the X Window System

Summary:	%{Summary}
Name:		xterm
Version:	215
Release:	%mkrel 5

Source0:	ftp://dickey.his.com/xterm/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch1:		xterm-199-alt-meta-mod.patch
Patch3:		xterm-197-alt-keysym-index.patch
Url:		http://dickey.his.com/xterm
License:	MIT
Group:		Terminals
BuildRequires:	X11-devel 
BuildRequires: libtermcap-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{version}-buildroot
Conflicts: XFree86 < 3.3.6-13mdk
Requires: luit
Requires(post,postun):	/usr/sbin/update-alternatives

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), xterm will use the facilities to notify programs
running in the window whenever it is resized.

%prep
%setup -q
%patch1 -p1 -b .alt-meta-mod
%patch3 -p1 -b .alt-keysym-index

%build
%configure \
   --enable-wide-chars \
   --x-includes=%{_includedir}/freetype2 \
   --enable-luit

%make

%install
rm -rf $RPM_BUILD_ROOT
make install appsdir=$RPM_BUILD_ROOT%{_libdir}/X11/app-defaults \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		mandir=$RPM_BUILD_ROOT%{_mandir}/man1 

# NOTE: encodingMode: locale means to follow the charset encoding of the
# locale. A quite complete unicode font is set as the default (instead of the
# very poor "fixed" one). a quick cat is used instead of patching the sources;
# it shoulmd be made the default imho
# locale: true means to use luit to convert locale encoding to unicode
# for display.
# luit support is needed for it to work -- pablo
cat << EOF >> $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/XTerm
*.vt100.font: -misc-fixed-medium-r-normal--15-140-75-75-c-90-iso10646-1
*.vt100.encodingMode: locale
*.locale: true
*.PtyInitialErase: on
*.backarrowKeyIsErase: on
EOF

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
  needs=X11\
  section="System/Terminals"\
  title="XTerm"\
  longtitle="%{Summary}"\
  command="%{_bindir}/xterm -name Terminal"\
  icon="xterm-terminal.png" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XTerm
Comment=%Summary
Exec=%{name} -name Terminal
Icon=xterm-terminal
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Terminals;TerminalEmulator;System;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/xterm-terminal.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/xterm-terminal.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/xterm-terminal.png

%if 0
## strange, if xterm isn't launched with -name xxxx parameter it doesn't
## take in account the ressources --> wrong font in unicode mode --> segfault
## there is not time to fix the sources; using a script to ensure there
## is always a -nae xxxx used (pablo)
mv $RPM_BUILD_ROOT%{_bindir}/xterm $RPM_BUILD_ROOT%{_bindir}/xterm.real
cat << EOF >> $RPM_BUILD_ROOT%{_bindir}/xterm
#!/bin/bash

if echo "\$@" | grep -- '-name' >&/dev/null ; then
	 exec %{_bindir}/xterm.real "\$@"
else exec %{_bindir}/xterm.real -name Terminal "\$@"
fi
EOF
chmod a+rx $r%{_bindir}/xterm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
update-alternatives --install %{_bindir}/xvt xvt %{_bindir}/xterm 18 || :

%postun
%clean_menus
[[ "$1" = "0" ]] && update-alternatives --remove xvt %{_bindir}/xterm || :

%files
%defattr(-,root,root)
%doc AAA_README_VMS.txt MANIFEST README README.os390
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/X11/app-defaults/*
%_datadir/applications/mandriva-*
%{_menudir}/%{name}
%{_miconsdir}/xterm-terminal.png
%{_iconsdir}/xterm-terminal.png
%{_liconsdir}/xterm-terminal.png



%changelog
* Tue Sep 19 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-19 22:28:22 (62419)
- Recompile to match correct luit place

* Fri Sep 01 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-01 14:16:18 (59310)
- Fix xdg menu under KDE Original menu

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-14 16:10:22 (56016)
- add xdg menu file

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-14 16:07:24 (56014)
- release

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-14 15:51:08 (56002)
- xdg menu


* Mon Aug 14 2006 Pixel <pixel@mandriva.com>
+ 2006-08-14 15:12:16 (55981)
- with build xterm to use luit, so require luit

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-23 18:08:29 (37985)
- new release

* Tue May 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-30 21:22:42 (31765)
- rebuild against new libXaw package

* Tue May 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-30 19:57:36 (31736)
- Added svn warning message to avoid wrong uploads

* Tue May 30 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-30 18:34:31 (31724)
- import xterm-212-3mdv2007.0

* Mon May 22 2006 Helio Chissini de Castro 212-3mdk
- Move to %_prefix as a new base for Xorg

* Fri May 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 212-2mdk
- fix buildrequires

* Sat Apr 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 212-1mdk
- new release
- drop patch 2 (merged upstream)

* Wed Mar 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 211-1mdk
- new release

* Thu Jan 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 208-1mdk
- new release

* Sat Nov 05 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 206-2mdk
- fix menu section & longtitle
- fix prereq
- don't bzip2 icons
- cosmetics

* Thu Nov 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 206-1mdk
- new release

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 203-1mdk
- new release

* Fri Feb 25 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 200-2mdk
- enabled luit support

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 200-1mdk
- new release

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 199-1mdk
- new release
- rediff patches 1 & 2

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 197-1mdk
- new release
- rediff patch 3

* Mon Nov 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 196-1mdk
- new release

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 194-1mdk
- new release

* Tue Jun 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 191-2mdk
- fix build with aa font managment (#10021)

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 191-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 185-1mdk
- new release

* Mon Jan 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 184-1mdk
- new release

* Mon Dec 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 182-3mdk
- patch 3: fix meta key managment (#6651)
  [patch from Jeremie Lenfant-Engelmann <jlenfant@mandrakesoft.com>]

* Tue Dec 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 182-2mdk
- rebuild against latest libxfree86 (fix #6558)

* Wed Dec 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 182-1mdk
- new release

* Tue Nov 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 181-1mdk
- new release
- remove patch 3 (merged upstream)

* Wed Oct 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 179-2mdk
- patch 3: fix pasting when cursor is on scrollbar (backported from 181)

* Wed Jul 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 179-1mdk
- new release

